#include "PingPong.h"

PingPong::PingPong(int width, int height) : isFirst{false},
											fbo1{initFBO(width, height, 0)},
											fbo2{initFBO(width, height, 0)} {}

void PingPong::swap()
{
	if (isFirst)
	{
		useFBO(fbo1, fbo2, 0L);
	}
	else
	{
		useFBO(fbo2, fbo1, 0L);
	}

	isFirst = !isFirst;
}

void PingPong::draw_to_screen()
{

	if (isFirst)
	{
		useFBO(0L, fbo2, 0L);
	}
	else
	{
		useFBO(0L, fbo1, 0L);
	}
}

void PingPong::first_draw()
{
	useFBO(fbo1, 0L, 0L);
	isFirst = false;
}

void PingPong::clear_buffers()
{
	useFBO(fbo1, 0L, 0L);
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

	useFBO(fbo2, 0L, 0L);
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
}
